Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-21774

RPM GPG key apparently different for zabbix-agent2-5.0.28-1.el8.x86_64 package

    XMLWordPrintable

Details

    • Incident report
    • Status: Closed
    • Trivial
    • Resolution: Won't fix
    • 5.0.28
    • None
    • Agent (G)
    • None
    • Rocky Linux 8

    Description

      Steps to reproduce:

      1. yum install http://repo.zabbix.com/zabbix/5.0/rhel/8/x86_64/zabbix-release-5.0-1.el8.noarch.rpm
      2. yum install zabbix-agent2

      Output:

      Last metadata expiration check: 0:00:04 ago on Mon 17 Oct 2022 10:26:37 AM EDT.
      Dependencies resolved.
      ====================================================================================
       Package                Architecture Version                  Repository       Size
      ====================================================================================
      Installing:
       zabbix-agent2          x86_64       5.0.28-1.el8             zabbix          5.3 M
      Installing dependencies:
       compat-openssl11       x86_64       1:1.1.1k-4.el9_0         appstream       1.5 M
      
      Transaction Summary
      ====================================================================================
      Install  2 Packages
      
      Total size: 6.7 M
      Installed size: 22 M
      Is this ok [y/N]: y
      Downloading Packages:
      [SKIPPED] compat-openssl11-1.1.1k-4.el9_0.x86_64.rpm: Already downloaded           
      [SKIPPED] zabbix-agent2-5.0.28-1.el8.x86_64.rpm: Already downloaded                
      Zabbix Official Repository - x86_64                 1.6 MB/s | 1.7 kB     00:00    
      Importing GPG key 0xA14FE591:
       Userid     : "Zabbix LLC <[email protected]>"
       Fingerprint: A184 8F53 52D0 22B9 471D 83D0 082A B56B A14F E591
       From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-ZABBIX-A14FE591
      Is this ok [y/N]: y
      Key import failed (code 2). Failing package is: zabbix-agent2-5.0.28-1.el8.x86_64
       GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-ZABBIX-A14FE591
      The downloaded packages were saved in cache until the next successful transaction.
      You can remove cached packages by executing 'yum clean packages'.
      Error: GPG check FAILED
      

      This is occurring on a completely new VM (no Zabbix repos configured previously), and after attempting the usual yum troubleshooting steps (clean, makecache, etc). I have compared the installed keys with the ones on repo.zabbix.com and they are exactly the same...so I am assuming that the zabbix-agent2-5.0.28-1.el8.x86_64.rpm was signed with some key that hasn't been made available.

      Attachments

        Activity

          People

            zabbix.support Zabbix Support Team
            soonblue Fraser Gutteridge
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: